Bug 767351 - kernel-doc contains /builddir/ symlinks
Summary: kernel-doc contains /builddir/ symlinks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-13 21:02 UTC by Josh Stone
Modified: 2012-01-24 19:58 UTC (History)
6 users (show)

Fixed In Version: kernel-2.6.41.10-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-24 07:57:08 UTC
Type: ---


Attachments (Terms of Use)

Description Josh Stone 2011-12-13 21:02:17 UTC
Description of problem:
Quite a few of kernel-doc's packaged xml files are actually symlinks pointing to paths under /builddir/.

You can find the broken links like so:
$ find -L /usr/share/doc/kernel-doc-3.1.5/ -type l

And one example:
$ readlink /usr/share/doc/kernel-doc-3.1.5/Documentation/DocBook/audio.xml
/builddir/build/BUILD/kernel-3.1.fc16/linux-3.1.noarch/Documentation/DocBook/media/dvb/audio.xml

Version-Release number of selected component (if applicable):
kernel-doc-3.1.5-1.fc16.noarch

Comment 1 CJ Kucera 2012-01-10 16:35:13 UTC
FWIW, this is the case in F15 as well (using kernel-doc-2.6.41.4-1.fc15.noarch at the moment)

Comment 2 Josh Boyer 2012-01-15 20:53:45 UTC
This should be fixed in the next builds on all 3 branches.

Comment 3 Fedora Update System 2012-01-23 18:32:44 UTC
kernel-3.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.1-3.fc16

Comment 4 Fedora Update System 2012-01-23 18:36:28 UTC
kernel-2.6.41.10-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.10-3.fc15

Comment 5 Fedora Update System 2012-01-24 01:43:02 UTC
Package kernel-2.6.41.10-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.41.10-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0861/kernel-2.6.41.10-3.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-01-24 07:57:08 UTC
kernel-3.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-01-24 19:58:18 UTC
kernel-2.6.41.10-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.